Bug 115506 - FORMATTING: Crash in: XPropertyList::Count() when selecting "Pattern" button in "Background" tab in "Table Properties" window
Summary: FORMATTING: Crash in: XPropertyList::Count() when selecting "Pattern" button ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3 all versions
Hardware: x86-64 (AMD64) All
: highest critical
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0 target:5.4.6 target:6.0.2
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2018-02-07 06:08 UTC by 林博仁(Buo-Ren Lin)
Modified: 2018-02-13 21:58 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["XPropertyList::Count()"]


Attachments
Bug Reproduction Example Document (13.19 KB, application/vnd.oasis.opendocument.presentation)
2018-02-07 06:08 UTC, 林博仁(Buo-Ren Lin)
Details
bt with debug symbols (5.52 KB, text/plain)
2018-02-07 15:17 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description 林博仁(Buo-Ren Lin) 2018-02-07 06:08:34 UTC
Created attachment 139649 [details]
Bug Reproduction Example Document

This bug was filed from the crash reporting server and is br-f2330447-7a8e-4164-a0be-5d18034936a2, br-c72033e6-089f-45d1-997b-0b8b64d1be66, br-b6489fb2-6433-4b23-9896-d3cb1dde06c2, and br-53a816fa-4586-4757-8eb5-7e4d6bfa24b7.
=========================================

## Steps to Reproduce ##
1. Create a table
2. Click on the table once to move the focus onto it
3. Expand the contextual menu(i.e. Right-Click) of the table, and select "表格屬性(Table Properties)..."
4. Select the "背景(Background)" tab
5. Select the "樣式(Pattern)" sub-tab thingy, the fifth one on the top

## Actual Results ##
Crashes with signature XPropertyList::Count()

## Expected Results ##
Don't crash

## Build Date & Hardware ##
Version: 6.0.0.3 (x64)
Build ID: 64a0f66915f38c6217de274f0aa8e15618924765
CPU thread:4; OS:Windows 10.0; UI Rendering:GL; 
Locale: zh-TW (zh_TW); Calc: group
Comment 1 林博仁(Buo-Ren Lin) 2018-02-07 06:19:59 UTC
## Bug Reproduction Video ##
https://www.youtube.com/watch?v=37Da8QEJBAY
Comment 2 Telesto 2018-02-07 13:56:26 UTC
Repro with
Version: 6.1.0.0.alpha0+
Build ID: 8a0b61172a14b8b766a2e85f27762db3558d3af7
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-02-06_03:28:54
Locale: nl-NL (nl_NL); Calc: CL
Comment 3 Julien Nabet 2018-02-07 15:17:22 UTC
Created attachment 139662 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
I attached a bt with symbols.
Comment 4 Xisco Faulí 2018-02-07 16:36:29 UTC
Regression introduced by:

author	Rishabh Kumar <kris.kr296@gmail.com>	2016-08-22 11:18:05 (GMT)
committer	Katarina Behrens <Katarina.Behrens@cib.de>	2016-10-12 08:36:13 (GMT)
commit	686349476e03f951f4a9ff9755b9f71951b64ea5 (patch)
tree	7cb559cca9cf88dc0a2e2a957244701ab0b4fe60
parent	da01e9ec5dfb7787b4a3669486b3940590933850 (diff)
[GSoC] Move all fill style tabs inside area tab

Bisected with bibisect-linux-64-5.3

Adding Cc: to Rishabh Kumar

@Julien, one for you ?
Comment 5 Julien Nabet 2018-02-07 16:38:51 UTC
I submitted this patch to review:
https://gerrit.libreoffice.org/#/c/49376/
Comment 6 Julien Nabet 2018-02-07 17:50:14 UTC
Tamás had already submitted a patch to review here:
https://gerrit.libreoffice.org/#/c/49361/2
Comment 7 Commit Notification 2018-02-08 08:07:55 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=de8a1b4f6c8fcca9fc9cc5ad83c393ecd7292f76

tdf#115506: Crash when trying to set pattern fill for tables in Impress

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Julien Nabet 2018-02-08 08:09:55 UTC
Let's put this one to FIXED.

Here are the cherry-picks waiting for review:
- 6.0 branch : https://gerrit.libreoffice.org/#/c/49404/
- 5.4 branch : https://gerrit.libreoffice.org/#/c/49406/
Comment 9 Commit Notification 2018-02-13 15:17:48 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d43502a51d5ea1ef81fb4fdb4c5bfb68017eecbe&h=libreoffice-5-4

tdf#115506: Crash when trying to set pattern fill for tables in Impress

It will be available in 5.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2018-02-13 21:58:31 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=10a5ea8f6365236fcc1d31b940113b3363f56209&h=libreoffice-6-0

tdf#115506: Crash when trying to set pattern fill for tables in Impress

It will be available in 6.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.